> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getAllowedTaxAdjustmentsList

> The `getAllowedTaxAdjustmentsList` retrieves a list of taxes that apply to an employee for manual adjustment.

### When to use:

- To retrieve tax tyoes that can be manually adjusted
- When taxes are calculated incorrectly and need to be ammended
- When taxes were calculated incorrectly in a previous pay period to correct total YTD withholding for the employee

### Note:
- Once retrieved these adjustments can be added to an employee using the `addPayrollLineItemTaxAdjustments` API



## OpenAPI

````yaml get /reports/getAllowedTaxAdjustmentsList
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getAllowedTaxAdjustmentsList:
    get:
      tags: []
      summary: getAllowedTaxAdjustmentsList
      description: >-
        The `getAllowedTaxAdjustmentsList` retrieves a list of taxes that apply
        to an employee for manual adjustment.


        ### When to use:


        - To retrieve tax tyoes that can be manually adjusted

        - When taxes are calculated incorrectly and need to be ammended

        - When taxes were calculated incorrectly in a previous pay period to
        correct total YTD withholding for the employee


        ### Note:

        - Once retrieved these adjustments can be added to an employee using the
        `addPayrollLineItemTaxAdjustments` API
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
              required:
                - method
            example:
              method: getAllowedTaxAdjustmentsList
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  allowedTaxAdjustments:
                    type: array
                    items:
                      type: object
                      properties:
                        taxTypeCategory:
                          type: string
                        taxName:
                          type: string
                required:
                  - allowedTaxAdjustments
              example:
                allowedTaxAdjustments:
                  - taxTypeCategory: Federal
                    taxName: Federal Withholding Tax
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````